Import('*')

objects = []

# INCLUDE DIRECTORIES
# Implements: COR010
includes = [
	'api'
]

# SOURCE FILES
sources = [
]

# GENERATED SOURCE FILES
gen_sources = [
]

# ADD INCLUDE DIRECTORIES
for include in includes:
	env.Append(CPPPATH=[Dir(include).abspath])

# COMPILE SOURCE FILES
for source in sources:
	objects += env.Object(source)
	
# GENERATED SOURCE FILES
for gen_source in gen_sources:
	objects += env.Object(gen_source)

# ADDED SPECIFICALLY FOR RTOS
# objects = env.Library('RTOS', objects)

# RETURN					  
Return('objects')